Bug 1304146 - CVE-2013-2099 CVE-2013-7440 python-pymongo: various flaws [fedora-all]
CVE-2013-2099 CVE-2013-7440 python-pymongo: various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-pymongo (Show other bugs)
23
All Linux
low Severity low
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-7440 CVE-2013-2099
  Show dependency treegraph
 
Reported: 2016-02-02 20:21 EST by Randy Barlow
Modified: 2017-09-08 08:21 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-pymongo-2.5.2-8.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 1231231
Environment:
Last Closed: 2016-02-12 06:52:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-02-02 20:21:08 EST
+++ This bug was initially created as a clone of Bug #1231231 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Tomas Hoger on 2015-06-12 09:12:52 EDT ---


Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=963260,1231231

# Description of your update
notes=Security fix for CVE-2013-2099

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=963260,1231231

--- Additional comment from Tomas Hoger on 2015-06-12 09:13:24 EDT ---


Adding parent bug 1224999 (for CVE-2013-7440).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1231231,1224999,963260

# Description of your update
notes=Security fix for CVE-2013-2099, CVE-2013-7440

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1231231,1224999,963260

--- Additional comment from Tomas Hoger on 2015-06-12 09:33:39 EDT ---

Consider fixing by making pymongo use python-backports-ssl_match_hostname or stdlib ssl on  F22+ / python 2.7.9+.

--- Additional comment from Tomas Hoger on 2015-06-12 09:37:16 EDT ---

Actually, existing:

try:
    from ssl import match_hostname
except ImportError:
    from pymongo.ssl_match_hostname import match_hostname

should be enough for F22+.  For older, s/pymongo/backports/ + proper rpm requires + removal for ssl_match_hostname.py* from packages should do the trick.

--- Additional comment from Haïkel Guémar on 2015-10-01 04:42:56 EDT ---

Taking over as provenpackager

--- Additional comment from Fedora Update System on 2015-10-01 06:54:20 EDT ---

python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

--- Additional comment from Fedora Update System on 2015-10-01 06:54:32 EDT ---

python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

--- Additional comment from Fedora Update System on 2015-10-01 06:54:39 EDT ---

python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

--- Additional comment from Fedora Update System on 2015-10-01 06:54:42 EDT ---

python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

--- Additional comment from Fedora Update System on 2015-10-02 19:48:05 EDT ---

python-pymongo-3.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

--- Additional comment from Fedora Update System on 2015-10-02 19:50:04 EDT ---

python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

--- Additional comment from Fedora Update System on 2015-10-03 21:37:08 EDT ---

python-pymongo-3.0.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

--- Additional comment from Fedora Update System on 2015-10-03 21:53:22 EDT ---

python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

--- Additional comment from Fedora Update System on 2015-10-03 22:21:08 EDT ---

python-pymongo-3.0.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1b712fce

--- Additional comment from Fedora Update System on 2016-01-14 12:03:36 EST ---

python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

--- Additional comment from Fedora Update System on 2016-01-14 12:04:28 EST ---

python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

--- Additional comment from Fedora Update System on 2016-01-14 12:04:48 EST ---

python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

--- Additional comment from Fedora Update System on 2016-01-14 14:29:28 EST ---

python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

--- Additional comment from Randy Barlow on 2016-01-14 14:46:43 EST ---

I will attempt to fix this with a patch rather than by raising to version 3.

--- Additional comment from Fedora Update System on 2016-01-15 07:15:38 EST ---

python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

--- Additional comment from Fedora Update System on 2016-01-15 07:47:30 EST ---

python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

--- Additional comment from Fedora Update System on 2016-01-15 08:44:47 EST ---

python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

--- Additional comment from Fedora Update System on 2016-01-15 08:45:27 EST ---

python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

--- Additional comment from Fedora Update System on 2016-01-16 14:21:58 EST ---

python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

--- Additional comment from Fedora Update System on 2016-01-17 09:24:27 EST ---

python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1
Comment 1 Fedora Update System 2016-02-02 20:22:59 EST
python-pymongo-2.5.2-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-50abc3e885
Comment 2 Fedora Update System 2016-02-03 18:00:50 EST
python-pymongo-2.5.2-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50abc3e885
Comment 3 Fedora Update System 2016-02-12 06:51:54 EST
python-pymongo-2.5.2-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.